package freeipa-server 4.7.0~pre1+git20180411-2ubuntu2 failed to install/upgrade: installed freeipa-server package post-installation script subprocess returned error exit status 1

Bug #1784399 reported by garyx on 2018-07-30
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
freeipa (Ubuntu)
Undecided
Unassigned

Bug Description

I was trying to upgrade a freeipa server running ubuntu 16.04 to 18.04.

ProblemType: Package
DistroRelease: Ubuntu 18.04
Package: freeipa-server 4.7.0~pre1+git20180411-2ubuntu2
ProcVersionSignature: Ubuntu 4.15.0-29.31~16.04.1-generic 4.15.18
Uname: Linux 4.15.0-29-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.2
Architecture: amd64
Date: Mon Jul 30 14:32:34 2018
ErrorMessage: installed freeipa-server package post-installation script subprocess returned error exit status 1
InstallationDate: Installed on 2018-05-29 (62 days ago)
InstallationMedia: Ubuntu-Server 16.04.3 LTS "Xenial Xerus" - Release amd64 (20170801)
Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal, 3.6.5-3ubuntu1
PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal, 2.7.15~rc1-1
RelatedPackageVersions:
 dpkg 1.19.0.5ubuntu2
 apt 1.6.3
SourcePackage: freeipa
Title: package freeipa-server 4.7.0~pre1+git20180411-2ubuntu2 failed to install/upgrade: installed freeipa-server package post-installation script subprocess returned error exit status 1
UpgradeStatus: Upgraded to bionic on 2018-07-30 (0 days ago)
modified.conffile..etc.default.ipa-dnskeysyncd: [modified]
mtime.conffile..etc.default.ipa-dnskeysyncd: 2018-06-19T16:17:32.099908

garyx (garyx) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in freeipa (Ubuntu):
status: New → Confirmed
David (davito88) wrote :

$ sudo apt-get install freeipa-client
Reading package lists... Done
Building dependency tree
Reading state information... Done
freeipa-client is already the newest version (4.3.1-0ubuntu1).
The following package was automatically installed and is no longer required:
  snap-confine
Use 'sudo apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 18 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up freeipa-client (4.3.1-0ubuntu1) ...
dpkg: error processing package freeipa-client (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 freeipa-client
localepurge: Disk space freed in /usr/share/locale: 0 KiB
localepurge: Disk space freed in /usr/share/man: 0 KiB

Total disk space freed by localepurge: 0 KiB

E: Sub-process /usr/bin/dpkg returned an error code (1)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers